Bug 1650428 - Review Request: perl-URI-db - Perl support for database URIs
Summary: Review Request: perl-URI-db - Perl support for database URIs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1650427
Blocks: 1650969
TreeView+ depends on / blocked
 
Reported: 2018-11-16 07:04 UTC by Emmanuel Seyman
Modified: 2019-01-23 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 01:07:29 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Emmanuel Seyman 2018-11-16 07:04:24 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-URI-db/perl-URI-db.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-URI-db/perl-URI-db-0.19-1.fc29.src.rpm
Description:
This class provides support for database URIs. They're inspired by
JDBC URIs and PostgreSQL URIs, though they're a bit more formal.
The specification for their format is documented in README.md.

Fedora Account System Username: eseyman
Rpmlint Output: 1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Robert-André Mauchin 🐧 2018-11-18 16:12:31 UTC
URL and Source addresses are Ok.
Source archive (SHA-256: c4999deaf451652216032c8e327ff6e6d655539eac379095bb69b0c369efa658) is original. Ok.
Summary verified from lib/URI/db.pm. Ok.
Description verified from lib/URI/db.pm. Ok.
License verified from lib/URI/db.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

Tests fail:

Exécution_de(%check) : /bin/sh -e /var/tmp/rpm-tmp.nEWHQq
+ umask 022
+ cd /builddir/build/BUILD
+ cd URI-db-0.19
+ ./Build test
BUILDSTDERR: Base class package "URI::Nested" is empty.
BUILDSTDERR:     (Perhaps you need to 'use' the module which defines that package first,
BUILDSTDERR:     or make that module available in @INC (@INC contains: /builddir/build/BUILD/URI-db-0.19/blib/lib /builddir/build/BUILD/URI-db-0.19/blib/arch /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .).
BUILDSTDERR:  at /builddir/build/BUILD/URI-db-0.19/blib/lib/URI/db.pm line 14.
BUILDSTDERR: BEGIN failed--compilation aborted at /builddir/build/BUILD/URI-db-0.19/blib/lib/URI/db.pm line 14.
BUILDSTDERR: Compilation failed in require at (eval 10) line 1.
t/db.t ....... 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
BUILDSTDERR: Base class package "URI::Nested" is empty.
BUILDSTDERR:     (Perhaps you need to 'use' the module which defines that package first,
BUILDSTDERR:     or make that module available in @INC (@INC contains: /builddir/build/BUILD/URI-db-0.19/blib/lib /builddir/build/BUILD/URI-db-0.19/blib/arch /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .).
BUILDSTDERR:  at /builddir/build/BUILD/URI-db-0.19/blib/lib/URI/db.pm line 14.
BUILDSTDERR: BEGIN failed--compilation aborted at /builddir/build/BUILD/URI-db-0.19/blib/lib/URI/db.pm line 14.
BUILDSTDERR: Compilation failed in require at (eval 10) line 1.
t/dbi.t ...... 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
BUILDSTDERR: Base class package "URI::Nested" is empty.
BUILDSTDERR:     (Perhaps you need to 'use' the module which defines that package first,
BUILDSTDERR:     or make that module available in @INC (@INC contains: /builddir/build/BUILD/URI-db-0.19/blib/lib /builddir/build/BUILD/URI-db-0.19/blib/arch /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .).
BUILDSTDERR:  at /builddir/build/BUILD/URI-db-0.19/blib/lib/URI/db.pm line 14.
BUILDSTDERR: BEGIN failed--compilation aborted at /builddir/build/BUILD/URI-db-0.19/blib/lib/URI/db.pm line 14.
BUILDSTDERR: Compilation failed in require at (eval 10) line 1.
t/engines.t .. 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
Test Summary Report
-------------------
t/db.t     (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/dbi.t    (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/engines.t (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
Files=3, Tests=0,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.20 cusr  0.03 csys =  0.26 CPU)
Result: FAIL
BUILDSTDERR: Failed 3/3 test programs. 0/0 subtests failed.

 → Add:

BuildRequires:  perl(URI::Nested)


$ rpmlint perl-URI-db.spec review-perl-URI-db/results/perl-URI-db-0.19-1.fc30.noarch.rpm review-perl-URI-db/results/perl-URI-db-0.19-1.fc30.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpm -q -lv -p perl-URI-db-0.19-1.fc30.noarch.rpm 
drwxr-xr-x    2 root    root                        0 nov. 18 16:58 /usr/share/doc/perl-URI-db
-rw-r--r--    1 root    root                     2828 juil. 19 17:14 /usr/share/doc/perl-URI-db/Changes
-rw-r--r--    1 root    root                     1213 juil. 19 17:14 /usr/share/doc/perl-URI-db/README
-rw-r--r--    1 root    root                     7468 juil. 19 17:14 /usr/share/doc/perl-URI-db/README.md
-rw-r--r--    1 root    root                     5419 nov. 18 16:58 /usr/share/man/man3/URI::db.3pm.gz
-rw-r--r--    1 root    root                     1944 nov. 18 16:58 /usr/share/man/man3/URI::ldapdb.3pm.gz
-rw-r--r--    1 root    root                     2215 nov. 18 16:58 /usr/share/man/man3/URI::mssql.3pm.gz
drwxr-xr-x    2 root    root                        0 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI
-rw-r--r--    1 root    root                       93 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/_ado.pm
-rw-r--r--    1 root    root                     1959 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/_db.pm
-rw-r--r--    1 root    root                      496 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/_odbc.pm
-rw-r--r--    1 root    root                       99 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/cassandra.pm
-rw-r--r--    1 root    root                       72 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/couch.pm
-rw-r--r--    1 root    root                      132 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/couchdb.pm
-rw-r--r--    1 root    root                      331 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/cubrid.pm
-rw-r--r--    1 root    root                     9305 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/db.pm
-rw-r--r--    1 root    root                      325 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/db2.pm
-rw-r--r--    1 root    root                       95 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/derby.pm
-rw-r--r--    1 root    root                      445 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/exasol.pm
-rw-r--r--    1 root    root                      130 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/firebird.pm
-rw-r--r--    1 root    root                       95 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/hive.pm
-rw-r--r--    1 root    root                       97 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/impala.pm
-rw-r--r--    1 root    root                      308 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/informix.pm
-rw-r--r--    1 root    root                      304 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/ingres.pm
-rw-r--r--    1 root    root                      132 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/interbase.pm
-rw-r--r--    1 root    root                      587 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/ldapdb.pm
-rw-r--r--    1 root    root                       70 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/maria.pm
-rw-r--r--    1 root    root                       72 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/mariadb.pm
-rw-r--r--    1 root    root                       68 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/max.pm
-rw-r--r--    1 root    root                      358 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/maxdb.pm
-rw-r--r--    1 root    root                       72 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/monet.pm
-rw-r--r--    1 root    root                      361 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/monetdb.pm
-rw-r--r--    1 root    root                       72 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/mongo.pm
-rw-r--r--    1 root    root                      133 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/mongodb.pm
-rw-r--r--    1 root    root                     1327 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/mssql.pm
-rw-r--r--    1 root    root                      361 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/mysql.pm
-rw-r--r--    1 root    root                      511 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/oracle.pm
-rw-r--r--    1 root    root                      148 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/pg.pm
-rw-r--r--    1 root    root                       64 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/pgsql.pm
-rw-r--r--    1 root    root                       66 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/pgxc.pm
-rw-r--r--    1 root    root                       67 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/postgres.pm
-rw-r--r--    1 root    root                       72 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/postgresql.pm
-rw-r--r--    1 root    root                       72 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/postgresxc.pm
-rw-r--r--    1 root    root                       70 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/redshift.pm
-rw-r--r--    1 root    root                      100 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/snowflake.pm
-rw-r--r--    1 root    root                      202 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/sqlite.pm
-rw-r--r--    1 root    root                       73 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/sqlite3.pm
-rw-r--r--    1 root    root                       74 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/sqlserver.pm
-rw-r--r--    1 root    root                      126 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/sybase.pm
-rw-r--r--    1 root    root                      433 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/teradata.pm
-rw-r--r--    1 root    root                      303 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/unify.pm
-rw-r--r--    1 root    root                       99 nov. 18 16:58 /usr/share/perl5/vendor_perl/URI/vertica.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-URI-db-0.19-1.fc30.noarch.rpm  | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.0)
      1 perl(:VERSION) >= 5.8.1
      1 perl(base)
      1 perl(strict)
      1 perl(URI::couchdb)
      1 perl(URI::maxdb)
      1 perl(URI::monetdb)
      1 perl(URI::mongodb)
      1 perl(URI::mssql)
      1 perl(URI::mysql)
      1 perl(URI::Nested)
      1 perl(URI::pg)
      1 perl(URI::sqlite)
      1 perl(URI::_db)
      1 perl(URI::_login)
      1 perl(URI::_odbc)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

Missing BR: URI::Nested

$ rpm -q --provides -p perl-URI-db-0.19-1.fc30.noarch.rpm 
perl(URI::_ado) = 0.19
perl(URI::_db) = 0.19
perl(URI::_odbc) = 0.19
perl(URI::cassandra) = 0.19
perl(URI::couch) = 0.19
perl(URI::couchdb) = 0.19
perl(URI::cubrid) = 0.19
perl(URI::db) = 0.19
perl(URI::db2) = 0.19
perl(URI::derby) = 0.19
perl(URI::exasol) = 0.19
perl(URI::firebird) = 0.19
perl(URI::hive) = 0.19
perl(URI::impala) = 0.19
perl(URI::informix) = 0.19
perl(URI::ingres) = 0.19
perl(URI::interbase) = 0.19
perl(URI::ldapdb) = 0.19
perl(URI::maria) = 0.19
perl(URI::mariadb) = 0.19
perl(URI::max) = 0.19
perl(URI::maxdb) = 0.19
perl(URI::monet) = 0.19
perl(URI::monetdb) = 0.19
perl(URI::mongo) = 0.19
perl(URI::mongodb) = 0.19
perl(URI::mssql) = 0.19
perl(URI::mysql) = 0.19
perl(URI::oracle) = 0.19
perl(URI::pg) = 0.19
perl(URI::pgsql) = 0.19
perl(URI::pgxc) = 0.19
perl(URI::postgres) = 0.19
perl(URI::postgresql) = 0.19
perl(URI::postgresxc) = 0.19
perl(URI::redshift) = 0.19
perl(URI::snowflake) = 0.19
perl(URI::sqlite) = 0.19
perl(URI::sqlite3) = 0.19
perl(URI::sqlserver) = 0.19
perl(URI::sybase) = 0.19
perl(URI::teradata) = 0.19
perl(URI::unify) = 0.19
perl(URI::vertica) = 0.19
perl-URI-db = 0.19-1.fc30
Binary provides are Ok.

Package builds in Koji (https://koji.fedoraproject.org/koji/taskinfo?taskID=30971403).
Ok

The package is in line with Fedora and Perl packaging guidelines.

Resolution: Package approved. Please fix the missing BR before import.

Comment 2 Emmanuel Seyman 2018-11-18 18:29:43 UTC
(In reply to Robert-André Mauchin from comment #1)
> 
>  → Add:
> 
> BuildRequires:  perl(URI::Nested)

Done locally. This will be in the imported package.

> Resolution: Package approved. Please fix the missing BR before import.

Repository requested. Thank you for the review, Robert-André.

Comment 3 Gwyn Ciesla 2018-11-19 15:14:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-URI-db

Comment 4 Emmanuel Seyman 2019-01-23 01:07:29 UTC
This package is now in Fedora 28, 29 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.